import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiAddressElement } from "../../elements/StiAddressElement";
import { StiHelperService } from "../../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiAddressComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    element: StiAddressElement;
    isClone: boolean;
    constructor(model: StiModelService, helper: StiHelperService);
    get values(): any[];
    disableDrag(event: any): void;
    borderWidth(): string;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiAddressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiAddressComponent, "sti-address-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
